# 📅 Set the mandate's VAT regime (determines transmission periodicity)

Set the VAT regime of a mandate.
The VAT regime determines the data transmission periodicity:
- `real_normal_monthly`: Régime réel normal mensuel
- `real_normal_quarterly`: Régime réel normal trimestriel
- `simplified`: Régime simplifié d'imposition
- `franchise`: Franchise en base de TVA

Endpoint: PUT /settings/periodicity/{mandate_id}
Version: 0.29.6
Security: APIKeyHeader

## Path parameters:

  - `mandate_id` (string, required)
    Mandate ID

## Header parameters:

  - `X-PDP-Client-Id` (string, required)
    ID of the PDP Client for which the operation is performed

## Request fields (application/json):

  - `vat_regime` (string, required)
    French VAT regimes; each determines the e-reporting transmission periodicity.
    Enum: "real_normal_monthly", "real_normal_quarterly", "simplified", "franchise"

## Response 200 fields (application/json):

  - `mandate_id` (string, required)
    Mandate these settings apply to

  - `vat_regime` (string, required)
    French VAT regimes; each determines the e-reporting transmission periodicity.
    Enum: "real_normal_monthly", "real_normal_quarterly", "simplified", "franchise"

  - `transaction_periodicity` (string, required)
    Transmission frequency for transaction data (Flux 10.1/10.3).
    Enum: "monthly", "decade", "bimonthly"

  - `payment_periodicity` (string, required)
    Transmission frequency for payment data (Flux 10.2/10.4).
    Enum: "monthly", "bimonthly"

## Response 401 fields (application/json):

  - `error` (string, required)

  - `code` (integer, required)

  - `trace_id` (string, required)

## Response 422 fields (application/json):

  - `detail` (array)

  - `detail.loc` (array, required)

  - `detail.msg` (string, required)

  - `detail.type` (string, required)

